COPS

Create manager view

POST
/manager/views

Create a personal or organization-shared manager view with full manager layout state.

Authorization

apiKeyAuth
headerx-api-key<token>

API key for authentication. Keys are prefixed with cops_.

Request Body

application/json
  1. body
scope*string
Value in"user""organization"
name*string
Length1 <= length <= 80
state*
isDefault?boolean

Response Body

Response schema unavailable.

Example Request
curl -X POST 'https://cops.app/api/brand/manager/views' \  -H 'Content-Type: application/json' \  -d '{  "scope": "user",  "name": "string",  "state": {    "version": 1,    "activeTab": "campaigns",    "global": {},    "tabs": {      "campaigns": {        "columns": {          "visibility": {            "property1": true,            "property2": true          },          "order": [            "string"          ],          "pinning": {            "left": [              "string"            ]          }        }      },      "creators": {        "columns": {          "visibility": {            "property1": true,            "property2": true          },          "order": [            "string"          ],          "pinning": {            "left": [              "string"            ]          }        }      },      "accounts": {        "columns": {          "visibility": {            "property1": true,            "property2": true          },          "order": [            "string"          ],          "pinning": {            "left": [              "string"            ]          }        }      },      "videos": {        "columns": {          "visibility": {            "property1": true,            "property2": true          },          "order": [            "string"          ],          "pinning": {            "left": [              "string"            ]          }        }      }    }  }}'
Example Response200
Empty